
Infrastructure - Task #2042

Story # 2025 (Closed): Tool to list versions of dataone components installed on CN

d1_process_daemon version reporting

2011-11-18 16:03 - Skye Roseboom

Status: Closed Start date: 2011-11-18

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: Management Estimated time: 0.00 hour

Target version:    

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Task to capture effort to report on d1_process_daemon and its d1 dependencies.  

This java app is deployed using mavin shade plugin to create one 'uber' jar.  Need to figure out how to generate this 'uber' jar so that

the manifest file information of contained jars is maintained.  OR how to generate the 'uber' jar so the version information is placed in

a known artifact that can be read when tool is run.

History

#1 - 2011-11-22 15:34 - Skye Roseboom

- Status changed from New to In Progress

#2 - 2011-11-29 23:20 - Skye Roseboom

- Status changed from In Progress to New

#3 - 2012-01-27 16:23 - Skye Roseboom

- Assignee set to Skye Roseboom

#4 - 2012-01-30 19:06 - Skye Roseboom

- Status changed from New to In Progress

#5 - 2012-01-30 19:37 - Skye Roseboom

- Status changed from In Progress to Closed

Using maven resource filtering and a build artifact (buildInfo.properties) to generate a resource that can be appended by the maven shade plugin. 

Results in a buildInfo/buildInfo.properties file in the shade jar root that contains build/version information for all d1 components which also implement

resource filtering on the buildInfo.properties artifact.
